Mailinglist Archive: opensuse-buildservice (70 mails)

< Previous Next >
[opensuse-buildservice] 32bit dependencies expansion
Hello.
I have a problem building centos grub2 package. Its .spec contains
"BuildRequires:  /usr/lib/crt1.o glibc-static(x86-32) glibc-devel(x86-32)". I
have created multiarch repo but got an error: "unresolvable: "nothing provides
glibc-static(x86-32) nothing provides glibc-devel(x86-32)"
Can OBS recognize such form of package architecture definition? Or i need to
edit something in a .spec or prjconf?
Below is a repo:
-------------------------------------------------
<repository name="base">
<download arch="x86_64"
url="http://centos-mirror.rbc.ru/pub/centos/7.5.1804/os/x86_64/";
repotype="rpmmd"/>
<download arch="i586"
url="http://centos-mirror.rbc.ru/pub/centos/7.5.1804/os/x86_64/";
repotype="rpmmd"/>
<arch>x86_64</arch>
<arch>i586</arch
</repository>
--------------------------------------------------
Thanks.
--
To unsubscribe, e-mail: opensuse-buildservice+unsubscribe@xxxxxxxxxxxx
To contact the owner, e-mail: opensuse-buildservice+owner@xxxxxxxxxxxx

< Previous Next >
Follow Ups